# OnApplicationStarting class final

Annotation to mark a method that should run when the application is starting, before the context refresh occurs.

This is typically used to prepare resources, validate configuration, or perform setup tasks that need to run at the very beginning of the application lifecycle.

The only acceptable method signatures are:

- No-Arg: The method should not accept any arguments.
- One-Arg: The method should accept a single argument of type `ConfigurableBootstrapContext` or `Class<Object>`.
- Two-Args: The method should accept two arguments of types `ConfigurableBootstrapContext` and `Class<Object>`.

### Example

    class MyApp {
      @OnApplicationStarting()
      void initResources() {
        print("Initializing resources before context refresh...");
      }

      @OnApplicationStarting()
      void initResourcesWithContext(ConfigurableBootstrapContext context) {
        print("Initializing resources before context refresh...");
      }

      @OnApplicationStarting()
      void initResourcesWithContextAndClass(ConfigurableBootstrapContext context, Class<Object> mainClass) {
        print("Initializing resources before context refresh...");
      }

      @OnApplicationStarting()
      void initResourcesWithClass(Class<Object> mainClass) {
        print("Initializing resources before context refresh...");
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - OnApplicationStarting
Annotations
  - @Target({TargetKind.method})

## Constructors

OnApplicationStarting.new()
  Annotation to mark a method that should run when the application is starting, before the context refresh occurs.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited